# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2014 E-MIPS (http://www.e-mips.com.ar)
#    Copyright (c) year Aconcagua Team (http://www.proyectoaconcagua.com.ar)
#    All Rights Reserved. See AUTHORS for details.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General
#    Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
import netsvc


class sale_order(osv.osv):
    _name = "sale.order"
    _inherit = "sale.order"

    def action_invoice_end(self, cr, uid, ids, context=None):
        res = super(sale_order, self).action_invoice_end(cr, uid, ids,
                                                         context=context)
        wf_service = netsvc.LocalService("workflow")

        for id in ids:
            wf_service.trg_trigger(uid, 'sale.order', id, cr)
        return res

    _columns = {
        'serv_order_ids': fields.many2many('service.order',
                                           'service_sale_order_rel',
                                           'service_order_id', 'sale_order_id',
                                           'Service Orders'),
    }
